<?php

/*
Addon: Socialshare WPB
*/

class SocialshareWPB_Addon {

	/*
	 * Contruct
	 */
    public function __construct() {

        add_action('wp_enqueue_scripts', array($this, 'load_scripts'));

        add_shortcode('socialsharewpb_wpb_addon', array($this, 'shortcode_addon_func'));

        add_action('init', array($this, 'map_vc_addon'));

    }

    function load_scripts() {
		
		wp_enqueue_style( 'animations' );
		wp_enqueue_script( 'appear' );			
		wp_enqueue_script( 'animate' );
		
    }
	
	/*
	 * Addon View
	 */
    public function shortcode_addon_func($atts, $content = null, $tag) {
		static $instance;
		$instance++;
        $date = '';

        extract(shortcode_atts(array(

				'facebook' => 'on',
				'twitter' => 'on',
				'pintrest' => 'off',
				'linkedin' => 'off',
				'vkontakte' => 'off',
				'tumblr' => 'off',
				'blogger' => 'off',
				'digg' => 'off',	
				'reddit' => 'off',		
				'delicious' => 'off',		
				'wordpress' => 'off',	
				'skype' => 'off',		
				'telegram' => 'off',		
				'whatsapp' => 'off',
				'wechat' => 'off',		
				'line' => 'off',	
				'style' => 'default',
				'size' => 'small',	
				'border' => 'normal',	
				'custom_color' => 'off',	
				'background_color' => '#3b5998',
				'title_color' => '#FFFFFF',	
				'rtl' => 'ltr',
				'addon_animate'				=> 'off',
				'effect'					=> 'fade-in',
				'delay'						=> '0',
			
        ), $atts));

		wp_enqueue_script( 'appear' );			
		wp_enqueue_script( 'animate' );
		wp_enqueue_style( 'animations' );
		wp_enqueue_style( 'socialshare-style' );

		$title = get_the_title();
		$url = get_the_permalink();
		$output = '';
		
		if($custom_color == 'on') {
			 $output .= '<style type="text/css">
				#adte-social-share-'.esc_html($instance).'.adte-social-share a {
					color:'.esc_html($title_color).'!important;
					background-color:'.esc_html($background_color).'!important;
					border:2px solid '.esc_html($background_color).'!important;
				}
				#adte-social-share-'.esc_html($instance).'.adte-social-share-boxed a .adte-social-share-text {
					color:'.esc_html($title_color).'!important;
					background-color:'.esc_html($background_color).'!important;
				}
			</style>';
			
		}
		
		
		 $output .= '<div id="adte-social-share-'.esc_html($instance).'" class="adte-social-share adte-social-share-'.esc_html($instance).' adte-social-share-size-'.esc_html($size).' adte-social-share-border-'.esc_html($border).' adte-social-share-'.esc_html($style).' adte-social-share-'.esc_html($rtl).' '.socialsharewpb_animate_class($addon_animate,$effect,$delay).'>';

			if($style == 'default') {

				if($facebook == 'on') { $output .= '<a target="_blank" class="adte-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'"><i class="adte-icon fa-facebook-f"></i><span class="adte-social-share-text">'.esc_html__('Facebook','socialshareelementor').'</span></a>'; }
				if($twitter == 'on') { $output .= '<a target="_blank" class="adte-twitter" href="http://twitter.com/home?status='.get_the_permalink().'"><i class="adte-icon fa-twitter"></i><span class="adte-social-share-text">'.esc_html__('Twitter','socialshareelementor').'</span></a>'; }
				if($pintrest == 'on') { $output .= '<a target="_blank" class="adte-pintrest" href="http://pinterest.com/pin/create/button/?url='.get_the_permalink().'"><i class="adte-icon fa-pinterest-p"></i><span class="adte-social-share-text">'.esc_html__('Pintrest','socialshareelementor').'</span></a>'; }
				if($linkedin == 'on') { $output .= '<a target="_blank" class="adte-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'"><i class="adte-icon fa-linkedin-in"></i><span class="adte-social-share-text">'.esc_html__('Linkedin','socialshareelementor').'</span></a>'; }
				if($vkontakte == 'on') { $output .= '<a target="_blank" class="adte-vkontakte" href="http://vk.com/share.php?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-vk"></i><span class="adte-social-share-text">'.esc_html__('Vkontakte','socialshareelementor').'</span></a>'; }
				if($tumblr == 'on') { $output .= '<a target="_blank" class="adte-tumblr" href="https://www.tumblr.com/share/link?url='.esc_url($url).'&name='.esc_html($title).'"><i class="adte-icon fa-tumblr"></i><span class="adte-social-share-text">'.esc_html__('Tumblr','socialshareelementor').'</span></a>'; }
				if($blogger == 'on') { $output .= '<a target="_blank" class="adte-blogger" href="https://www.blogger.com/blog-this.g?u='.esc_url($url).'&n='.esc_html($title).'"><i class="adte-icon fa-blogger-b"></i><span class="adte-social-share-text">'.esc_html__('Blogger','socialshareelementor').'</span></a>'; }
				if($digg == 'on') { $output .= '<a target="_blank" class="adte-digg" href="http://digg.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-digg"></i><span class="adte-social-share-text">'.esc_html__('Digg','socialshareelementor').'</span></a>'; }
				if($reddit == 'on') { $output .= '<a target="_blank" class="adte-reddit" href="https://reddit.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-reddit"></i><span class="adte-social-share-text">'.esc_html__('Reddit','socialshareelementor').'</span></a>'; }
				if($delicious == 'on') { $output .= '<a target="_blank" class="adte-delicious" href="https://www.evernote.com/clip.action?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-delicious"></i><span class="adte-social-share-text">'.esc_html__('Delicious','socialshareelementor').'</span></a>'; }
				if($wordpress == 'on') { $output .= '<a target="_blank" class="adte-wordpress" href="https://wordpress.com/press-this.php?u='.esc_url($url).'&t='.esc_html($title).'"><i class="adte-icon fa-wordpress"></i><span class="adte-social-share-text">'.esc_html__('WordPress','socialshareelementor').'</span></a>'; }
				if($skype == 'on') { $output .= '<a target="_blank" class="adte-skype" href="https://web.skype.com/share?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-skype"></i><span class="adte-social-share-text">'.esc_html__('Skype','socialshareelementor').'</span></a>'; }
				if($telegram == 'on') { $output .= '<a target="_blank" class="adte-telegram" href="https://t.me/share/url?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-telegram-plane"></i><span class="adte-social-share-text">'.esc_html__('Telegram','socialshareelementor').'</span></a>'; }
				if($whatsapp == 'on') { $output .= '<a target="_blank" class="adte-whatsapp" href="https://api.whatsapp.com/send?phone=&text='.esc_html($title)." ".esc_url($url).'"><i class="adte-icon fa-whatsapp"></i><span class="adte-social-share-text">'.esc_html__('Whatsapp','socialshareelementor').'</span></a>'; }
				if($wechat == 'on') { $output .= '<a target="_blank" class="adte-wechat" href="https://chart.googleapis.com/chart?cht=qr&chs=196x196&chd=t:60,40&chl='.esc_url($url).'"><i class="adte-icon fa-weixin"></i><span class="adte-social-share-text">'.esc_html__('Wechat','socialshareelementor').'</span></a>'; }
				if($line == 'on') { $output .= '<a target="_blank" class="adte-line" href="ttps://lineit.line.me/share/ui?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-line"></i><span class="adte-social-share-text">'.esc_html__('Line','socialshareelementor').'</span></a>'; }
				
			}
			
			if($style == 'only-icons') {
			
				if($facebook == 'on') { $output .= '<a target="_blank" class="adte-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'"><i class="adte-icon fa-facebook-f"></i></a>'; }
				if($twitter == 'on') { $output .= '<a target="_blank" class="adte-twitter" href="http://twitter.com/home?status='.get_the_permalink().'"><i class="adte-icon fa-twitter"></i></a>'; }
				if($pintrest == 'on') { $output .= '<a target="_blank" class="adte-pintrest" href="http://pinterest.com/pin/create/button/?url='.get_the_permalink().'"><i class="adte-icon fa-pinterest-p"></i></a>'; }
				if($linkedin == 'on') { $output .= '<a target="_blank" class="adte-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'"><i class="adte-icon fa-linkedin-in"></i></a>'; }
				if($vkontakte == 'on') { $output .= '<a target="_blank" class="adte-vkontakte" href="http://vk.com/share.php?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-vk"></i></a>'; }
				if($tumblr == 'on') { $output .= '<a target="_blank" class="adte-tumblr" href="https://www.tumblr.com/share/link?url='.esc_url($url).'&name='.esc_html($title).'"><i class="adte-icon fa-tumblr"></i></a>'; }
				if($blogger == 'on') { $output .= '<a target="_blank" class="adte-blogger" href="https://www.blogger.com/blog-this.g?u='.esc_url($url).'&n='.esc_html($title).'"><i class="adte-icon fa-blogger-b"></i></a>'; }
				if($digg == 'on') { $output .= '<a target="_blank" class="adte-digg" href="http://digg.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-digg"></i></a>'; }
				if($reddit == 'on') { $output .= '<a target="_blank" class="adte-reddit" href="https://reddit.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-reddit"></i></a>'; }
				if($delicious == 'on') { $output .= '<a target="_blank" class="adte-delicious" href="https://www.evernote.com/clip.action?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-delicious"></i></a>'; }
				if($wordpress == 'on') { $output .= '<a target="_blank" class="adte-wordpress" href="https://wordpress.com/press-this.php?u='.esc_url($url).'&t='.esc_html($title).'"><i class="adte-icon fa-wordpress"></i></a>'; }
				if($skype == 'on') { $output .= '<a target="_blank" class="adte-skype" href="https://web.skype.com/share?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-skype"></i></a>'; }
				if($telegram == 'on') { $output .= '<a target="_blank" class="adte-telegram" href="https://t.me/share/url?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-telegram-plane"></i></a>'; }
				if($whatsapp == 'on') { $output .= '<a target="_blank" class="adte-whatsapp" href="https://api.whatsapp.com/send?phone=&text='.esc_html($title)." ".esc_url($url).'"><i class="adte-icon fa-whatsapp"></i></a>'; }
				if($wechat == 'on') { $output .= '<a target="_blank" class="adte-wechat" href="https://chart.googleapis.com/chart?cht=qr&chs=196x196&chd=t:60,40&chl='.esc_url($url).'"><i class="adte-icon fa-weixin"></i></a>'; }
				if($line == 'on') { $output .= '<a target="_blank" class="adte-line" href="ttps://lineit.line.me/share/ui?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-line"></i></a>'; }

			}
			
			if($style == 'only-text') {

				if($facebook == 'on') { $output .= '<a target="_blank" class="adte-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'"><span class="adte-social-share-text">'.esc_html__('Facebook','socialshareelementor').'</span></a>'; }
				if($twitter == 'on') { $output .= '<a target="_blank" class="adte-twitter" href="http://twitter.com/home?status='.get_the_permalink().'"><span class="adte-social-share-text">'.esc_html__('Twitter','socialshareelementor').'</span></a>'; }
				if($pintrest == 'on') { $output .= '<a target="_blank" class="adte-pintrest" href="http://pinterest.com/pin/create/button/?url='.get_the_permalink().'"><span class="adte-social-share-text">'.esc_html__('Pintrest','socialshareelementor').'</span></a>'; }
				if($linkedin == 'on') { $output .= '<a target="_blank" class="adte-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'"><span class="adte-social-share-text">'.esc_html__('Linkedin','socialshareelementor').'</span></a>'; }
				if($vkontakte == 'on') { $output .= '<a target="_blank" class="adte-vkontakte" href="http://vk.com/share.php?url='.esc_url($url).'&title='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Vkontakte','socialshareelementor').'</span></a>'; }
				if($tumblr == 'on') { $output .= '<a target="_blank" class="adte-tumblr" href="https://www.tumblr.com/share/link?url='.esc_url($url).'&name='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Tumblr','socialshareelementor').'</span></a>'; }
				if($blogger == 'on') { $output .= '<a target="_blank" class="adte-blogger" href="https://www.blogger.com/blog-this.g?u='.esc_url($url).'&n='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Blogger','socialshareelementor').'</span></a>'; }
				if($digg == 'on') { $output .= '<a target="_blank" class="adte-digg" href="http://digg.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Digg','socialshareelementor').'</span></a>'; }
				if($reddit == 'on') { $output .= '<a target="_blank" class="adte-reddit" href="https://reddit.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Reddit','socialshareelementor').'</span></a>'; }
				if($delicious == 'on') { $output .= '<a target="_blank" class="adte-delicious" href="https://www.evernote.com/clip.action?url='.esc_url($url).'&title='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Delicious','socialshareelementor').'</span></a>'; }
				if($wordpress == 'on') { $output .= '<a target="_blank" class="adte-wordpress" href="https://wordpress.com/press-this.php?u='.esc_url($url).'&t='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('WordPress','socialshareelementor').'</span></a>'; }
				if($skype == 'on') { $output .= '<a target="_blank" class="adte-skype" href="https://web.skype.com/share?url='.esc_url($url).'&text='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Skype','socialshareelementor').'</span></a>'; }
				if($telegram == 'on') { $output .= '<a target="_blank" class="adte-telegram" href="https://t.me/share/url?url='.esc_url($url).'&text='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Telegram','socialshareelementor').'</span></a>'; }
				if($whatsapp == 'on') { $output .= '<a target="_blank" class="adte-whatsapp" href="https://api.whatsapp.com/send?phone=&text='.esc_html($title)." ".esc_url($url).'"><span class="adte-social-share-text">'.esc_html__('Whatsapp','socialshareelementor').'</span></a>'; }
				if($wechat == 'on') { $output .= '<a target="_blank" class="adte-wechat" href="https://chart.googleapis.com/chart?cht=qr&chs=196x196&chd=t:60,40&chl='.esc_url($url).'"><span class="adte-social-share-text">'.esc_html__('Wechat','socialshareelementor').'</span></a>'; }
				if($line == 'on') { $output .= '<a target="_blank" class="adte-line" href="ttps://lineit.line.me/share/ui?url='.esc_url($url).'&text='.esc_html($title).'"><span class="adte-social-share-text">'.esc_html__('Line','socialshareelementor').'</span></a>'; }
				
				
			}			

			if($style == 'boxed') {

				if($facebook == 'on') { $output .= '<a target="_blank" class="adte-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'"><i class="adte-icon fa-facebook-f"></i><span class="adte-social-share-text">'.esc_html__('Facebook','socialshareelementor').'</span></a>'; }
				if($twitter == 'on') { $output .= '<a target="_blank" class="adte-twitter" href="http://twitter.com/home?status='.get_the_permalink().'"><i class="adte-icon fa-twitter"></i><span class="adte-social-share-text">'.esc_html__('Twitter','socialshareelementor').'</span></a>'; }
				if($pintrest == 'on') { $output .= '<a target="_blank" class="adte-pintrest" href="http://pinterest.com/pin/create/button/?url='.get_the_permalink().'"><i class="adte-icon fa-pinterest-p"></i><span class="adte-social-share-text">'.esc_html__('Pintrest','socialshareelementor').'</span></a>'; }
				if($linkedin == 'on') { $output .= '<a target="_blank" class="adte-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'"><i class="adte-icon fa-linkedin-in"></i><span class="adte-social-share-text">'.esc_html__('Linkedin','socialshareelementor').'</span></a>'; }
				if($vkontakte == 'on') { $output .= '<a target="_blank" class="adte-vkontakte" href="http://vk.com/share.php?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-vk"></i><span class="adte-social-share-text">'.esc_html__('Vkontakte','socialshareelementor').'</span></a>'; }
				if($tumblr == 'on') { $output .= '<a target="_blank" class="adte-tumblr" href="https://www.tumblr.com/share/link?url='.esc_url($url).'&name='.esc_html($title).'"><i class="adte-icon fa-tumblr"></i><span class="adte-social-share-text">'.esc_html__('Tumblr','socialshareelementor').'</span></a>'; }
				if($blogger == 'on') { $output .= '<a target="_blank" class="adte-blogger" href="https://www.blogger.com/blog-this.g?u='.esc_url($url).'&n='.esc_html($title).'"><i class="adte-icon fa-blogger-b"></i><span class="adte-social-share-text">'.esc_html__('Blogger','socialshareelementor').'</span></a>'; }
				if($digg == 'on') { $output .= '<a target="_blank" class="adte-digg" href="http://digg.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-digg"></i><span class="adte-social-share-text">'.esc_html__('Digg','socialshareelementor').'</span></a>'; }
				if($reddit == 'on') { $output .= '<a target="_blank" class="adte-reddit" href="https://reddit.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-reddit"></i><span class="adte-social-share-text">'.esc_html__('Reddit','socialshareelementor').'</span></a>'; }
				if($delicious == 'on') { $output .= '<a target="_blank" class="adte-delicious" href="https://www.evernote.com/clip.action?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-delicious"></i><span class="adte-social-share-text">'.esc_html__('Delicious','socialshareelementor').'</span></a>'; }
				if($wordpress == 'on') { $output .= '<a target="_blank" class="adte-wordpress" href="https://wordpress.com/press-this.php?u='.esc_url($url).'&t='.esc_html($title).'"><i class="adte-icon fa-wordpress"></i><span class="adte-social-share-text">'.esc_html__('WordPress','socialshareelementor').'</span></a>'; }
				if($skype == 'on') { $output .= '<a target="_blank" class="adte-skype" href="https://web.skype.com/share?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-skype"></i><span class="adte-social-share-text">'.esc_html__('Skype','socialshareelementor').'</span></a>'; }
				if($telegram == 'on') { $output .= '<a target="_blank" class="adte-telegram" href="https://t.me/share/url?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-telegram-plane"></i><span class="adte-social-share-text">'.esc_html__('Telegram','socialshareelementor').'</span></a>'; }
				if($whatsapp == 'on') { $output .= '<a target="_blank" class="adte-whatsapp" href="https://api.whatsapp.com/send?phone=&text='.esc_html($title)." ".esc_url($url).'"><i class="adte-icon fa-whatsapp"></i><span class="adte-social-share-text">'.esc_html__('Whatsapp','socialshareelementor').'</span></a>'; }
				if($wechat == 'on') { $output .= '<a target="_blank" class="adte-wechat" href="https://chart.googleapis.com/chart?cht=qr&chs=196x196&chd=t:60,40&chl='.esc_url($url).'"><i class="adte-icon fa-weixin"></i><span class="adte-social-share-text">'.esc_html__('Wechat','socialshareelementor').'</span></a>'; }
				if($line == 'on') { $output .= '<a target="_blank" class="adte-line" href="ttps://lineit.line.me/share/ui?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-line"></i><span class="adte-social-share-text">'.esc_html__('Line','socialshareelementor').'</span></a>'; }
								
			}

			if($style == 'border') {

				if($facebook == 'on') { $output .= '<a target="_blank" class="adte-facebook" href="http://www.facebook.com/sharer.php?u='.get_the_permalink().'&amp;t='.get_the_title().'"><i class="adte-icon fa-facebook-f"></i><span class="adte-social-share-text">'.esc_html__('Facebook','socialshareelementor').'</span></a>'; }
				if($twitter == 'on') { $output .= '<a target="_blank" class="adte-twitter" href="http://twitter.com/home?status='.get_the_permalink().'"><i class="adte-icon fa-twitter"></i><span class="adte-social-share-text">'.esc_html__('Twitter','socialshareelementor').'</span></a>'; }
				if($pintrest == 'on') { $output .= '<a target="_blank" class="adte-pintrest" href="http://pinterest.com/pin/create/button/?url='.get_the_permalink().'"><i class="adte-icon fa-pinterest-p"></i><span class="adte-social-share-text">'.esc_html__('Pintrest','socialshareelementor').'</span></a>'; }
				if($linkedin == 'on') { $output .= '<a target="_blank" class="adte-linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'"><i class="adte-icon fa-linkedin-in"></i><span class="adte-social-share-text">'.esc_html__('Linkedin','socialshareelementor').'</span></a>'; }
				if($vkontakte == 'on') { $output .= '<a target="_blank" class="adte-vkontakte" href="http://vk.com/share.php?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-vk"></i><span class="adte-social-share-text">'.esc_html__('Vkontakte','socialshareelementor').'</span></a>'; }
				if($tumblr == 'on') { $output .= '<a target="_blank" class="adte-tumblr" href="https://www.tumblr.com/share/link?url='.esc_url($url).'&name='.esc_html($title).'"><i class="adte-icon fa-tumblr"></i><span class="adte-social-share-text">'.esc_html__('Tumblr','socialshareelementor').'</span></a>'; }
				if($blogger == 'on') { $output .= '<a target="_blank" class="adte-blogger" href="https://www.blogger.com/blog-this.g?u='.esc_url($url).'&n='.esc_html($title).'"><i class="adte-icon fa-blogger-b"></i><span class="adte-social-share-text">'.esc_html__('Blogger','socialshareelementor').'</span></a>'; }
				if($digg == 'on') { $output .= '<a target="_blank" class="adte-digg" href="http://digg.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-digg"></i><span class="adte-social-share-text">'.esc_html__('Digg','socialshareelementor').'</span></a>'; }
				if($reddit == 'on') { $output .= '<a target="_blank" class="adte-reddit" href="https://reddit.com/submit?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-reddit"></i><span class="adte-social-share-text">'.esc_html__('Reddit','socialshareelementor').'</span></a>'; }
				if($delicious == 'on') { $output .= '<a target="_blank" class="adte-delicious" href="https://www.evernote.com/clip.action?url='.esc_url($url).'&title='.esc_html($title).'"><i class="adte-icon fa-delicious"></i><span class="adte-social-share-text">'.esc_html__('Delicious','socialshareelementor').'</span></a>'; }
				if($wordpress == 'on') { $output .= '<a target="_blank" class="adte-wordpress" href="https://wordpress.com/press-this.php?u='.esc_url($url).'&t='.esc_html($title).'"><i class="adte-icon fa-wordpress"></i><span class="adte-social-share-text">'.esc_html__('WordPress','socialshareelementor').'</span></a>'; }
				if($skype == 'on') { $output .= '<a target="_blank" class="adte-skype" href="https://web.skype.com/share?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-skype"></i><span class="adte-social-share-text">'.esc_html__('Skype','socialshareelementor').'</span></a>'; }
				if($telegram == 'on') { $output .= '<a target="_blank" class="adte-telegram" href="https://t.me/share/url?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-telegram-plane"></i><span class="adte-social-share-text">'.esc_html__('Telegram','socialshareelementor').'</span></a>'; }
				if($whatsapp == 'on') { $output .= '<a target="_blank" class="adte-whatsapp" href="https://api.whatsapp.com/send?phone=&text='.esc_html($title)." ".esc_url($url).'"><i class="adte-icon fa-whatsapp"></i><span class="adte-social-share-text">'.esc_html__('Whatsapp','socialshareelementor').'</span></a>'; }
				if($wechat == 'on') { $output .= '<a target="_blank" class="adte-wechat" href="https://chart.googleapis.com/chart?cht=qr&chs=196x196&chd=t:60,40&chl='.esc_url($url).'"><i class="adte-icon fa-weixin"></i><span class="adte-social-share-text">'.esc_html__('Wechat','socialshareelementor').'</span></a>'; }
				if($line == 'on') { $output .= '<a target="_blank" class="adte-line" href="ttps://lineit.line.me/share/ui?url='.esc_url($url).'&text='.esc_html($title).'"><i class="adte-icon fa-line"></i><span class="adte-social-share-text">'.esc_html__('Line','socialshareelementor').'</span></a>'; }
								
			}
		
		$output .= '</div>';	
		
		return $output;
    }	



	
	/*
	 * Addon Backend
	 */	
    function map_vc_addon() {
        if (function_exists("vc_map")) {

            vc_map(array(
                "name" => esc_html__("Social Share", "socialsharewpb"),
                "base" => "socialsharewpb_wpb_addon",
                "content_element" => true,
                "show_settings_on_create" => true,
                "category" => esc_html__("Social Share", "socialsharewpb"),
                'description' => esc_html__('add your Socialshare', 'socialsharewpb'),
                "icon" => SOCIALSHAREWPB_URL . '/assets/img/vc-socialshare.png',
                "params" => array(			
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Facebook", 'socialsharewpb'),
						"param_name" => "facebook",
						"value" => array(
										esc_html__('On','socialsharewpb') 	=> 'on',
										esc_html__('Off','socialsharewpb') 	=> 'off'										
						)
					),					
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Twitter", 'socialsharewpb'),
						"param_name" => "twitter",
						"value" => array(
										esc_html__('On','socialsharewpb') 	=> 'on',
										esc_html__('Off','socialsharewpb') 	=> 'off'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Pintrest", 'socialsharewpb'),
						"param_name" => "pintrest",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Linkedin", 'socialsharewpb'),
						"param_name" => "linkedin",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("VKontakte", 'socialsharewpb'),
						"param_name" => "vkontakte",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Tumblr", 'socialsharewpb'),
						"param_name" => "tumblr",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Blogger", 'socialsharewpb'),
						"param_name" => "blogger",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Digg", 'socialsharewpb'),
						"param_name" => "digg",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Reddit", 'socialsharewpb'),
						"param_name" => "reddit",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Delicious", 'socialsharewpb'),
						"param_name" => "delicious",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("WordPress", 'socialsharewpb'),
						"param_name" => "wordpress",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Skype", 'socialsharewpb'),
						"param_name" => "skype",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Telegram", 'socialsharewpb'),
						"param_name" => "telegram",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Whatsapp", 'socialsharewpb'),
						"param_name" => "whatsapp",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("WeChat", 'socialsharewpb'),
						"param_name" => "wechat",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Line", 'socialsharewpb'),
						"param_name" => "line",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						)
					),						
					// STYLE					
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Style", 'socialsharewpb'),
						"param_name" => "style",
						"value" => array(
										esc_html__('Default','socialsharewpb') 		=> 'default',
										esc_html__('Only Icons','socialsharewpb') 	=> 'only-icons',
										esc_html__('Only Text','socialsharewpb') 	=> 'only-text',
										esc_html__('Boxed','socialsharewpb') 		=> 'boxed',
										esc_html__('Border','socialsharewpb') 	=> 'border',
										
						),
						"group" => "Style"
					),	
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Size", 'socialsharewpb'),
						"param_name" => "size",
						"value" => array(
										esc_html__('Small','socialsharewpb') 	=> 'small',
										esc_html__('Normal','socialsharewpb') 	=> 'normal',
										esc_html__('Big','socialsharewpb') 		=> 'big'
										
						),
						"group" => "Style"
					),	
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Border", 'socialsharewpb'),
						"param_name" => "border",
						"value" => array(
										esc_html__('Normal','socialsharewpb') 	=> 'normal',
										esc_html__('Rounded','socialsharewpb') 	=> 'rounded',
										esc_html__('Circle','socialsharewpb') 	=> 'circle'
										
						),
						"group" => "Style"
					),	
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Custom Color", 'socialsharewpb'),
						"param_name" => "custom_color",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						),
						"group" => "Style"
					),				
					array(
						"type" => "colorpicker",
						"class" => "",
						"heading" => esc_html__("Background Color", 'socialsharewpb'),
						"param_name" => "background_color",
						"value" => '#3b5998',
						'dependency' => array(
								'element' => 'custom_color',
								'value' => array( 'on' )
						),
						"group" => "Style"				  
					),
					array(
						"type" => "colorpicker",
						"class" => "",
						"heading" => esc_html__("Text Color", 'socialsharewpb'),
						"param_name" => "title_color",
						"value" => '#FFFFFF',
						'dependency' => array(
								'element' => 'custom_color',
								'value' => array( 'on' )
						),
						"group" => "Style"				  
					),	
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("RTL", 'socialsharewpb'),
						"param_name" => "rtl",
						"value" => array(
										esc_html__('LTR','socialsharewpb') 	=> 'ltr',
										esc_html__('RTL','socialsharewpb') 	=> 'rtl'
										
						),
						"group" => "Style"
					),	


					
					// ANIMATION								  							  		  
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Animate", 'socialsharewpb'),
						"param_name" => "addon_animate",
						"value" => array(
										esc_html__('Off','socialsharewpb') 	=> 'off',
										esc_html__('On','socialsharewpb') 	=> 'on'
										
						),
						"dependency" => array(
							"element" => "pagination",
							"value" => array( "no", "yes" )
						),						
						"group" => "Animation"
					),			  
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__("Animate Effects", 'socialsharewpb'),
						"param_name" => "effect",
						"value" => socialsharewpb_animation_effect(),
						"dependency" => array(
							"element" => "addon_animate",
							"value" => array( "on" )
						),
						"group" => "Animation"				   
					),				  
					array(
						"type" => "textfield",
						"class" => "",
						"heading" => esc_html__("Animate Delay (ms)",'socialsharewpb'),
						"param_name" => "delay",
						"description" => "ex 1000",					  
						"dependency" => array(
							"element" => "addon_animate",
							"value" => array( "on" )
						),
						"value" => "0",
						"group" => "Animation"					  
					),
                ),
            ));


        }
    }

} // End Class

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_SocialshareWPB_Addon extends WPBakeryShortCode {
    }
}

// Initialize Element Class
if (class_exists('SocialshareWPB_Addon')) {
    new SocialshareWPB_Addon();
}